﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 테스트 폼
    /// </summary>
    public partial class TestForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - TestForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public TestForm()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            TChart tChart = ChartHelper.GetTChart("HEADER", "FOOTER", string.Empty, string.Empty);

            tChart.Dock = DockStyle.Fill;

            tChart.DoubleClick += tChart_DoubleClick;

            Controls.Add(tChart);


            Points points = ChartHelper.GetPoints("TEST", true, Color.Blue, PointerStyles.Circle, false, false);

            points.FillSampleValues(100);

            tChart.Series.Add(points);
        }

        #endregion
        #region 티차트 더블 클릭시 처리하기 - tChart_DoubleClick(sender, e)

        /// <summary>
        /// 티차트 더블 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        void tChart_DoubleClick(object sender, EventArgs e)
        {
            TChart tChart = sender as TChart;

            tChart.ShowEditor();
        }

        #endregion
    }
}